<?php
require_once('./config/app/views.php');
require_once('./config/app/controller.php');
require_once('./models/Medidasmodel.php');

class Medidas extends controller
{       //INICIO DE SSECIO
    public function __construct()
    {
        SESSION_START();
      
$this->model = new Medidasmodel();
        parent::__construct();
    }

    public function index()
    {
         if (empty($_SESSION ['activo'])) {
           header("location:".base_url);
        }
        $id_user = (int)$_SESSION['id_usuario'];
        $verificar = $this->model->verificarPermiso($id_user, 'medidas');
        if (!empty($verificar) || $id_user == 1 ) {  
            $this->views->getviews($this, "index");
        } else {
            header('Location: ' . base_url . 'errors/permisos');

        }
      
    }

    public function listar()
    {
        $data = $this->model->getMedidas();
        for ($i = 0; $i < count($data); $i++) {
            if ($data[$i]['estado'] == 1) {
                $data[$i]['estado'] = '<span class="badge badge-success">activo</span>';
                $data[$i]['acciones'] = 
                '<div>
                <button class="btn btn-primary" type="button" onclick="editarmedida(' . $data[$i]['id'] . ');"><i class="fas fa-edit"></i></button>
                <button class="btn btn-danger" type="button" onclick="btnEliminarMedidas(' . $data[$i]['id'] . ');"><i class="fas fa-trash-alt"></i></button>
                </div>';
            } else {
                $data[$i]['estado'] = '<span class="badge badge-danger">suspendido</span>';
                $data[$i]['acciones'] = '<div>
             
                <button class="btn btn-success" type="button" onclick="btnReningresarMedidas(' . $data[$i]['id'] . ');">Activar</button>
                </div>';
            }
           
        }
        echo json_encode($data, JSON_UNESCAPED_UNICODE);
        die();
    }


    public function registrar()
    {
        $nombre = $_POST['nombre'];
        $nombre_corto = $_POST['nombre_corto'];
        $id = $_POST['id'];
        if (empty($nombre) || empty($nombre_corto)) {
            $smg = "todos los campos son obligatorios";
        } else {
            if ($id == "") {

                    $data = $this->model->registrarMedidas($nombre, $nombre_corto,);
                    if ($data == "ok") {
                        $smg = "si";
                    } elseif ($data == "existe") {
                        $smg = "el dni ya existe";
                    } else {
                        $smg = "error al registrar el usuario";
                    }
                
            } else {
                $data = $this->model->modificarMedidas($nombre, $nombre_corto, $id);
                if ($data == "modificado") {
                    $smg = "modificado";
                } else {
                    $smg = "error al modificar el cliente";
                }
            }
        }
        echo json_encode($smg, JSON_UNESCAPED_UNICODE);
        die();
    }

    public function editar(int $id)
    {
        $data = $this->model->editarMedidas($id);
        echo json_encode($data, JSON_UNESCAPED_UNICODE);
        die();
    }
    
    public function eliminar(int $id)
    {
        $data = $this->model->accionMedidas(0, $id);
        if ($data == 1) {
            $smg = "ok";
        } else {
            $smg = "error al eliminar el dni";
        }
        echo json_encode($smg, JSON_UNESCAPED_UNICODE);
        die();
    }

    public function reingresar(int $id)
    {
        $data = $this->model->accionMedidas(1, $id);
        if ($data == 1) {
            $smg = "ok";
        } else {
            $smg = "error al reingresar el dni";
        }
        echo json_encode($smg, JSON_UNESCAPED_UNICODE);
        die();
    }
    
    
    
    
 





















}
?>
